package com.tmerclub.cloud.search.constant;

import com.tmerclub.cloud.common.constant.Constant;

/**
 * es当中的index
 *
 * @author tmerclub
 * @date 2020/11/12
 */
public enum EsIndexEnum {

    /**
     * 商品
     */
    PRODUCT(Constant.NAME_SPACE + "product"),

    /**
     * 订单
     */
    ORDER(Constant.NAME_SPACE + "order"),

    /**
     * 订单发票
     */
    ORDER_INVOICE(Constant.NAME_SPACE + "order-invoice"),

    /**
     * 采购订单
     */
    PURCHASE_ORDER(Constant.NAME_SPACE + "purchase-order"),

    /**
     * 退款订单
     */
    ORDER_REFUND(Constant.NAME_SPACE + "order-refund"),

    /**
     * 调拨订单
     */
    ALLOT_ORDER(Constant.NAME_SPACE + "allot-order"),

    /**
     * 球杆商品
     */
    CUE_PRODUCT(Constant.NAME_SPACE + "cue_product"),
    ;

    private final String value;

    EsIndexEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }
}
